/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;

/**
 * カラム情報情報クラス
 * 
 */
public class ColumnInfo {
	/**	パーティション属性 */
	protected boolean m_isPartition;
	/**	項目（カラム）名 */ 
	protected String m_name; 
	/**	項目No */
	protected int m_number; 
	/**	データ型*/
	protected String m_type; 
	/**	データ型(詳細)*/
	protected String m_typeDetail; 
	/**	NotNull*/
	protected boolean m_isNotNull; 

	/**
	 * @return
	 */
	public String getName() {
		return m_name;
	}

	/**
	 * @return
	 */
	public int getNumber() {
		return m_number;
	}


	/**
	 * @param string
	 */
	public void setName(String string) {
		m_name = string;
	}

	/**
	 * @param i
	 */
	public void setNumber(int i) {
		m_number = i;
	}


	/**
	 * @return
	 */
	public boolean isPartition() {
		return m_isPartition;
	}

	/**
	 * @return
	 */
	public boolean getPartition() {
		return m_isPartition;
	}

	/**
	 * @param b
	 */
	public void setPartition(boolean b) {
		m_isPartition = b;
	}

	/**
	 * @param string
	 */
	public void setType(String string) {
		m_type = string;
	}

	/**
	 * @return
	 */
	public String getType() {
		return m_type;
	}

	/**
	 * @return
	 */
	public String getTypeDetail() {
		return m_typeDetail;
	}

	/**
	 * @param string
	 */
	public void setTypeDetail(String string) {
		m_typeDetail = string;
	}

    /**
     * @return isNotNull を戻します。
     */
    public boolean isNotNull() {
        return m_isNotNull;
    }
    /**
     * @param isNotNull isNotNull を設定。
     */
    public void setNotNull(boolean isNotNull) {
        m_isNotNull = isNotNull;
    }
}